<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Card;
use App\Models\Register;
use App\Models\Type;
use App\Models\User;
use App\Sms\Sms;
use Barryvdh\DomPDF\Facade\Pdf;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class AdminCardController extends Controller
{
    public function index(User $user)
    {
        $assistantId = Type::query()->where('title','=','دستیار')->first();
        if (auth()->user()->role_id == 2){
            return view('admin.cards.index',['users'=>Register::query()->whereNot('type_id',$assistantId->id)->where('status','=',4)->get()]);
        }elseif (auth()->user()->role_id == 3 ){
            return view('admin.cards.index',['users'=>Register::query()->whereNot('type_id',$assistantId->id)->where('status','=',4)->where('city_id',auth()->user()->city_id)->get()]);
        }
        else{
            return view('admin.cards.index',['users'=>Register::query()->whereNot('type_id',$assistantId->id)->where('status','=',4)->where('user_id',auth()->id())->get()]);
        }
    }
    public function index_assistant(User $user)
    {
        $assistantId = Type::query()->where('title','=','دستیار')->first();
        if (auth()->user()->role_id == 2){
            return view('admin.cards.index_assistant',['users'=>Register::query()->where('type_id',$assistantId->id)->where('status','=',4)->get()]);
        }elseif (auth()->user()->role_id == 3 ){
            return view('admin.cards.index_assistant',['users'=>Register::query()->where('type_id',$assistantId->id)->where('status','=',4)->where('city_id',auth()->user()->city_id)->get()]);
        }
        else{
            return view('admin.cards.index_assistant',['users'=>Register::query()->where('type_id',$assistantId->id)->where('status','=',4)->where('user_id',auth()->id())->get()]);
        }
    }

    public function card_register_dentist(Register $register)
    {
        $pdf = Pdf::loadView('pdf.salon',['register'=>$register]);
        $path = public_path();
        $fileName =  $register->nationalCode .$register->id. '.' . 'pdf' ;
        $pdf->save($fileName);
        $link = null;
        if ($register->card == null){
            $new_card = Card::query()->create([
                'register_id'=>$register->id,
                'type_id'=>$register->type_id,
                'link_card'=>url($fileName),
                'card_register'=>true
            ]);
            $link = $new_card->link_card;
        }else{

            $register->card()->update([
                'card_register'=>true,
                'link_card'=>url($fileName),
            ]);
            $link = $register->card->link_card;
        }

        $dr = $register->type_id != 7 ? 'دکتر':null ;
        $text = "*اطلاعیه شماره یک*\n چهارمین سمپوزیوم بین المللی دایوپارس \n همراه گرامی ".$dr.' '.$register->fullName_fa."\n لطفا از طریق لینک زیر کارت ورود به سالن همایش را دانلود فرمایید.\n".$link." \n باتشکر"."\n لغو 11";
        Sms::sms($register->mobile,$text);
        return back() ;
    }
    public function card_register_assistant(Register $register)
    {
        $pdf = Pdf::loadView('pdf.salon',['register'=>$register]);
        $path = public_path();
        $fileName =  $register->nationalCode .$register->id. '.' . 'pdf' ;
        $pdf->save($fileName);
        $link = null;
        if ($register->card == null){
            $new_card = Card::query()->create([
                'register_id'=>$register->id,
                'type_id'=>$register->type_id,
                'link_card'=>url($fileName),
                'card_register'=>true
            ]);
            $link = $new_card->link_card;
        }else{

            $register->card()->update([
                'card_register'=>true,
                'link_card'=>url($fileName),
            ]);

            $link = $register->card->link_card;
        }

        $text = "*اطلاعیه شماره یک*\n چهارمین سمپوزیوم بین المللی دایوپارس \n همراه گرامی ".$register->fullName_fa."\n لطفا از طریق لینک زیر کارت ورود به سالن همایش را دانلود فرمایید.\n".$link." \n باتشکر"."\n لغو 11";

        Sms::sms($register->mobile,$text);
        //Sms::sms($register->user->mobile,$text);
        return back() ;

    }




    public function food_register_dentist(Register $register)
    {
        $pdf = Pdf::loadView('pdf.food',['register'=>$register]);
        $path = public_path();
        $fileName =  $register->nationalCode . '.' . 'pdf' ;
        $pdf->save($fileName);
        if ($register->card == null){
            Card::query()->create([
                'register_id'=>$register->id,
                'type_id'=>$register->type_id,
                'link_food'=>url($fileName),
                'card_register'=>true
            ]);
        }else{

            $register->card()->update([
                'card_register'=>true,
                'link_food'=>url($fileName),
            ]);
        }
        $text = "*اطلاعیه*\n چهارمین سمپوزیوم بین المللی دایوپارس \n همراه گرامی ".$register->type_id != 7 ? 'دکتر':null.$register->fullName_fa."\n لطفا از طریق لینک زیر کارت ورود به سالن پذیرایی را دانلود فرمایید.\n".$register->card->link_food." \n باتشکر"."\n لغو 11";
        Sms::sms($register->mobile,$text);
        return back() ;

    }
    public function food_register_assistant(Register $register)
    {
        $pdf = Pdf::loadView('pdf.food',['register'=>$register]);
        $path = public_path();
        $fileName =  $register->nationalCode . '.' . 'pdf' ;
        $pdf->save($fileName);
        if ($register->card == null){
            Card::query()->create([
                'register_id'=>$register->id,
                'type_id'=>$register->type_id,
                'link_food'=>url($fileName),
                'card_register'=>true
            ]);
        }else{

            $register->card()->update([
                'card_register'=>true,
                'link_food'=>url($fileName),
            ]);
        }
        $text = "*اطلاعیه*\n چهارمین سمپوزیوم بین المللی دایوپارس \n همراه گرامی ".$register->fullName_fa."\n لطفا از طریق لینک زیر کارت ورود به سالن پذیرایی را دانلود فرمایید.\n".$register->card->link_food." \n باتشکر"."\n لغو 11";
        Sms::sms($register->mobile,$text);
        return back() ;

    }
}
