<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\City;
use Illuminate\Http\Request;

class AdminCityController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('admin.cities.index',['cities'=>City::all()]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.cities.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
       $data =  $request->validate([
           'title'=>['required'],
           'label'=>['required']
       ]);
       City::query()->create($data);
       toast('شهر مورد نطر با موفقیت ایجاد شد.','success');
       return redirect(route('cities.index'));
    }

    /**
     * Display the specified resource.
     */
    public function show(City $city)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(City $city)
    {
        return view('admin.cities.edit',['city'=>$city]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, City $city)
    {
        $data =  $request->validate([
            'title'=>['required'],
            'label'=>['required']
        ]);
        $city->update([
            'title'=>$request->get('title',$city->title),
            'label'=>$request->get('label',$city->label),
        ]);
        toast('شهر مورد نطر با موفقیت ویرایش شد.','success');
        return redirect(route('cities.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(City $city)
    {
        //
    }
}
