<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ClubCode;
use Illuminate\Http\Request;

class AdminClubCodeController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('admin.clubCodes.index',['clubCodes'=>ClubCode::all()]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.clubCodes.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $request->validate([
            'dentistCode'=>['required']
        ]);
        ClubCode::query()->create([
            'dentistCode'=>$request->dentistCode
        ]);
        toast('کد نظام پزشکی با موفقیت ایحاد شد.','success');
        return redirect(route('clubCodes.index'));
    }

    /**
     * Display the specified resource.
     */
    public function show(ClubCode $clubCode)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(ClubCode $clubCode)
    {
        return view('admin.clubCodes.edit',['dentistCode'=>$clubCode]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, ClubCode $clubCode)
    {
        $request->validate([
            'dentistCode'=>['required']
        ]);
        $clubCode->update([
            'dentistCode'=>$request->dentistCode
        ]);
        toast('کد نظام پزشکی با موفقیت ویرایش شد.','success');
        return redirect(route('clubCodes.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(ClubCode $clubCode)
    {
        //
    }
}
