<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ClubDionavi;
use Illuminate\Http\Request;

class AdminClubDionaviController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('admin.clubDionavis.index',['clubDionavis'=>ClubDionavi::all()]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.clubDionavis.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'mobile'=>['required'],
        ]);
        ClubDionavi::query()->create($data);
        toast('عضو دیونوی با موفقیت انحام شد.','success');
        return redirect(route('clubDionavis.index'));
    }

    /**
     * Display the specified resource.
     */
    public function show(ClubDionavi $clubDionavi)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(ClubDionavi $clubDionavi)
    {
        return view('admin.clubDionavis.edit',['clubDionavi'=>$clubDionavi]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, ClubDionavi $clubDionavi)
    {
        $data = $request->validate([
            'mobile'=>['required'],
        ]);
        $clubDionavi->update($data);
        toast('عضو دیونوی با موفقیت ویرایش شد.','success');
        return redirect(route('clubDionavis.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(ClubDionavi $clubDionavi)
    {
        //
    }
}
