<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Expert;
use Illuminate\Http\Request;

class AdminExpertController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('admin.experts.index',['experts'=>Expert::all()]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.experts.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $request->validate([
            'title'=>['required'],
            'label'=>['required']
        ]);
        Expert::query()->create([
            'title'=>$request->title,
            'label'=>$request->label,
        ]);
        toast('تخصص با موفقیت ایحاد شد.','success');
        return redirect(route('experts.index'));
    }

    /**
     * Display the specified resource.
     */
    public function show(Expert $expert)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Expert $expert)
    {
        return view('admin.experts.edit',['expert'=>$expert]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Expert $expert)
    {
        $request->validate([
            'title'=>['required'],
            'label'=>['required']
        ]);
        $expert->update([
            'title'=>$request->get('title',$expert->title),
            'label'=>$request->get('label',$expert->label),
        ]);
        toast('تخصص با موفقیت ویرایش شد.','success');
        return redirect(route('experts.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Expert $expert)
    {
        //
    }
}
