<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Presenter;
use App\Models\Question;
use Illuminate\Http\Request;

class AdminQuestionController extends Controller
{
    public function index()
    {
        return view('admin.questions.index',['questions'=>Question::all()]);
    }

    public function question_presenter ()
    {
        return view('admin.questions.presenter_index');
    }

    public function question_presenter_index(Presenter $presenter)
    {


        return redirect(route('questions.presenter.questions',$presenter));

    }

    public function show_questions(Presenter $presenter)
    {
        $questions = Question::query()->where('presenter_id',$presenter->id)->where('status',false)->get() ;
        return view('all_questions',['questions'=>$questions,'presenter'=>$presenter]);
    }

    public function accept(Question $question)
    {
        $status = 0;
        if ($question->status == 0){
            $status = 1;
        }

        $question->update([
            'status'=>$status
        ]);
        return back();
    }
}
