<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Role;
use Illuminate\Http\Request;

class AdminRoleController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('admin.roles.index',['roles'=>Role::all()]);

    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.roles.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'title'=>['required'],
            'label'=>['required']
        ]);
        $role = Role::query()->create($data);
        $role->permissions()->sync($request->permissions);
        toast('مقام با موفقیت ساخته شد','success');
        return redirect(route('roles.index'));
    }

    /**
     * Display the specified resource.
     */
    public function show(Role $role)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Role $role)
    {
        return view('admin.roles.edit',['role'=>$role]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Role $role)
    {
        $request->validate([
            'title'=>['required'],
            'label'=>['required']
        ]);
        $role->update([
            'title'=>$request->get('title',$role->title),
            'label'=>$request->get('label',$role->label),
        ]);
        $role->permissions()->sync($request->permissions);
        toast('مقام با موفقیت ویرایش شد','success');
        return redirect(route('roles.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Role $role)
    {
        //
    }
}
