<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Type;
use Illuminate\Http\Request;

class AdminTypeController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('admin.types.index',['types'=>Type::all()]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.types.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $request->validate([
            'title'=>['required'],
            'label'=>['required'],
        ]);
        Type::query()->create([
            'title'=>$request->title,
            'label'=>$request->label,
        ]);
        toast('حوزه فعالیت با موفقیت ایجاد شد.','success');
        return redirect(route('types.index'));
    }

    /**
     * Display the specified resource.
     */
    public function show(Type $type)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Type $type)
    {
        return view('admin.types.edit',['type'=>$type]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Type $type)
    {
        $request->validate([
            'title'=>['required'],
            'label'=>['required'],
        ]);
        $type->update([
            'title'=>$request->get('title',$type->title),
            'label'=>$request->get('label',$type->label),
        ]);
        toast('حوزه فعالیت با موفقیت ویرایش شد.','success');
        return redirect(route('types.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Type $type)
    {
        //
    }
}
