<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;

class AdminUserController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {

        return view('admin.users.index',['users'=>User::all()]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.users.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $request->validate([
            'mobile'=>['required'],
            'role_id'=>['required','exists:roles,id'],
            'city_id'=>['exists:cities,id'],
            'fullName'=>['required']
        ]);
        User::query()->create([
            'mobile'=>$request->mobile,
            'role_id'=>$request->role_id,
            'city_id'=>$request->city_id,
            'fullName'=>$request->fullName
        ]);
        toast('کاربر با موفقیت ایجاد شد.','success');
        return redirect(route('users.index'));
    }

    /**
     * Display the specified resource.
     */
    public function show(User $user)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(User $user)
    {
        return view('admin.users.edit',['user'=>$user]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, User $user)
    {
        $request->validate([
            'mobile'=>['required'],
            'role_id'=>['required','exists:roles,id'],
            'city_id'=>['required','exists:cities,id'],
            'fullName'=>['required']
        ]);
        $user->update([
            'mobile'=>$request->get('mobile',$user->mobile),
            'role_id'=>$request->get('role_id',$user->role_id),
            'city_id'=>$request->get('city_id',$user->city_id),
            'fullName'=>$request->get('fullName',$user->fullName)
        ]);
        toast('کاربر با موفقیت ویرایش شد.','success');
        return redirect(route('users.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(User $user)
    {
        //
    }
}
