<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Sms\Sms;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class AdminAuthController extends Controller
{
    public function index()
    {

        return view('auth.login');
    }

    public function send_otp(Request $request)
    {

        if ($request->mobile == 'admin'  ){
            $user = User::query()->where('mobile','=','admin')->first();
            return redirect(route('login.otp',$user));
        }else{

            $user = User::query()->where('mobile',$request->mobile)->first();
            if ($user)
            {
                /*$otp =1111 /*random_int(1111,9999)*/;
                //$text = "کد ورود شما : ".$otp."\n لغو11";
                //Sms::sms($user->mobile,$text);*/

                $otp = random_int(1111,9999);
                $text = "کد ورود شما : ".$otp."\n لغو11";
                Sms::sms($user->mobile,$text);
                $user->update(['password'=>bcrypt($otp)]);
                toast('خوش آمدید،کد ارسال شد','success');
                return redirect(route('login.otp',$user));
            }else{
                toast('نام کاربری موجود نبست','warning');
                return back();
            }
        }

    }

    public function login_otp(User $user)
    {
        //dd(bcrypt('PerDio@123'));
        //dd(bcrypt('hrHDio@123'));
        return view('auth.otp',['user'=>$user]);
    }

    public function verify(User $user,Request $request)
    {

        if ($user->mobile == 'admin' ){
            if (!Hash::check($request->otp,$user->password)) {
                toast('کد وارد شده اشتباه است','warning');
                return redirect(route('login'));
            }else {
                auth()->loginUsingId($user->id);
                toast('خوش آمدید','success');
                return redirect(route('admin.home',$user));
            }
        }else{
            if (!Hash::check($request->otp,$user->password)) {
                toast('کد وارد شده اشتباه است','warning');
                return redirect(route('login'));
            }else {
                $user->update(['password'=>'']);
                auth()->loginUsingId($user->id);
                toast('خوش آمدید','success');
                return redirect(route('admin.home',$user));
            }
        }

    }

    public function logout(User $user)
    {
        auth()->logout();
        return redirect(route('login'));
    }
}
