<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Models\Presenter;
use App\Models\Question;
use Illuminate\Http\Request;

class ClientQuestionController extends Controller
{
    public function index()
    {
        return view('questions');
    }

    public function store(Request $request)
    {
        $data = $request->validate([
            'presenter_id'=>['required','exists:presenters,id'],
            'mobile'=>['required'],
            'message'=>['required']
        ]);
        Question::query()->create($data);
        toast('با موفقیت ایجاد شد.','success');
        return back();
    }

    public function presenters()
    {
        return view('questions_presenters',['presenters'=>Presenter::query()->where('status',true)->get()]);
    }

    public function presenters_selected(Request $request)
    {
        return view('all_questions',['questions'=>Question::query()->where('presenter_id',$request->presenter_id)->get()]);
    }
}
