<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Register extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function type()
    {
        return $this->belongsTo(Type::class);
    }

    public function expert()
    {
        return $this->belongsTo(Expert::class);
    }

    public function city()
    {
        return $this->belongsTo(City::class);
    }

    public function parent()
    {
        return $this->belongsTo(Register::class,'register_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function child(Register $register)
    {
        $child = Register::query()->where('register_id',$register->id)->get();
        if ($child){
            return $child;
        }else{
            return null;
        }
    }

    public function card()
    {
        return $this->hasOne(Card::class);
    }
    public function full()
    {
        return $this->hasOne(Full::class);
    }
}
