<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('registers', function (Blueprint $table) {
            $table->id();
            $table->string('fullName_fa');
            $table->string('fullName_en')->nullable();
            $table->string('mobile')->unique();
            $table->string('nationalCode')->unique();
            $table->foreignId('expert_id')->constrained();
            $table->foreignId('type_id')->constrained();
            $table->string('transactionId')->nullable();
            $table->boolean('status_pay')->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('registers');
    }
};
