@extends('admin.layouts.master')

@section('style')
    <link rel="stylesheet" href="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css">
@endsection

@section('content')
    @php
    $active_menu = 'cards';
        $active = 'dentistCards';
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران</li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران </li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title d-flex justify-content-between">
                            <h6 > مدیریت کارت ورودی دندانپزشکان </h6>
                        </div>

                        <div class="table-responsive">
                            <table id="dataTableExample" class="table table-responsive table-striped">
                                <thead>
                                <tr>
                                    <th>نام و نام خانوادگی
                                    <br>
                                        کد مشتری
                                    </th>
                                    <th>موبایل</th>
                                    <td>ارسال کارت ورود</td>
                                    <td>ارسال کارت سالن غذاخوری</td>
                                    <td>حضور</td>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($users as $register)
                                <tr >

                                    <td>{{ $register->fullName_fa }}
                                    <br>
                                       <div class="text-danger" > {{ $register->customerCode  }}</div>
                                    </td>
                                    <td>{{ $register->mobile  }}</td>
                                    <td>
                                        @if(auth()->user()->role_id == 2)
                                           <a href="{{ route('cards.symposium.salon',$register) }}" class="btn btn-sm @if($register->card != null) btn-outline-success @else btn-outline-danger @endif " >
                                               ورود به سالن همایش
                                           </a>
                                        @endif
                                    </td>
                                    <td>
                                        @if(auth()->user()->role_id == 2)
                                            <a href="{{ route('cards.symposium.food',$register) }}" class="btn btn-sm @if($register->card != null)  btn-outline-dark @else btn-outline-warning @endif" >
                                                ورود به سالن غذاخوری
                                            </a>
                                        @endif
                                    </td>
                                    <td>
                                        @if($register->code != null)
                                            @if($register->code->status == 1)
                                                <span class="badge bg-success" >حضور دارد</span>
                                            @else
                                                <span class="badge bg-danger" >حضور ندارد</span>
                                            @endif
                                        @endif

                                    </td>

                                </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script src="assets/vendors/datatables.net/jquery.dataTables.js"></script>
    <script src="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js"></script>
    <script src="assets/js/data-table.js"></script>

@endsection
