@extends('admin.layouts.master')

@section('style')
    <link rel="stylesheet" href="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css">
@endsection

@section('content')
    @php
        $active_menu = 'register';
            $active = 'assistant_cancel'
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت دستیار</li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت دستیار </li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title d-flex justify-content-between">
                            <h6 > مدیریت دستیار </h6>
                            <a class=" btn btn-sm btn-success" href="{{ route('register.create_assistant',auth()->id()) }}" >ایجاد دستیار</a>
                            @if(auth()->user()->role_id == 2)
                                <a class=" btn btn-sm btn-outline-info" href="{{ route('register.assistant.export') }}" >خروجی </a>
                            @endif
                        </div>

                        <div class="table-responsive">
                            <table id="dataTableExample" class="table table-responsive table-striped">
                                <thead>
                                <tr>
                                    <th>تاریخ</th>
                                    <th>نام و نام خانوادگی
                                        <br>
                                        کد مشتری
                                    </th>
                                    <th>fullName</th>
                                    <th>موبایل</th>
                                    <th>کارشناس</th>
                                    <th>کد ملی دستیار</th>
                                    <th>نام دکتر </th>

                                    <th>شهر</th>
                                    <th>وضعبت درگاه پرداخت</th>
                                    <th>ثبت فاکتور</th>
                                    <th>وضعبت ثبت نام </th>
                                    <td>عملیات</td>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($users as $register)
                                    <tr style="background:  {{ $register->status == 4 ? '#aef2ae' : null  }}">
                                        <td>{{ \Morilog\Jalali\Jalalian::forge($register->created_at)->format('%B %d، %Y') }}</td>
                                        <td>{{ $register->fullName_fa }}
                                            <br>
                                            <span class="text text-bg-warning" > {{ $register->customerCode  }}</span>
                                        </td>
                                        <td>{{ $register->fullName_en }}</td>
                                        <td>{{ $register->mobile  }}</td>
                                        <td>{{ $register->user_id != null ? $register->user->fullName : null }}</td>
                                        <td>{{ $register->nationalCode  }}</td>
                                        <td>{{ $register->register_id != null ? $register->parent->fullName_fa : null  }}
                                        <br>
                                            <div class="text-danger" >{{ $register->register_id != null ? $register->parent->customerCode : null  }}</div>
                                        </td>

                                        <td>{{ $register->city->title  }}</td>
                                        <td><a class="{{ $register->status_pay == 'OK' ? 'text-success' : 'text-danger' }}"  href=" {{ route('check.transaction',[$register->transactionId != null ? $register->transactionId : 0,$register->price]) }}" >{{ $register->status_pay == 'OK' ? 'انجام شد' : 'انجام نشده' }}</a>
                                        </td>
                                        <td>
                                            {{ $register->invoice == null ? 'ثبت نشده' : $register->invoice }}
                                        </td>
                                        <td>
                                            @if($register->status == 1 )
                                                <span class="badge bg-info" > در حال تکمیل اطلاعات</span>
                                            @elseif($register->status == 2 )
                                                <span class="badge bg-success" >نهایی</span>
                                            @elseif($register->status == 3 )
                                                <span class="badge bg-danger" >کنسلی</span>
                                            @elseif($register->status == 4 )
                                                <span class="badge bg-success" >مورد تایید نهایی</span>
                                            @endif
                                        </td>

                                        <td>
                                            @if($register->status != 2  )
                                                <a class="btn btn-sm btn-primary " href="{{ route('register.edit',[$register,auth()->id()]) }}">
                                                    <i data-feather="edit" ></i>
                                                </a>
                                            @elseif(auth()->user()->role_id == 2 )
                                                <a class="btn btn-sm btn-primary " href="{{ route('register.edit',[$register,auth()->id()]) }}">
                                                    <i data-feather="edit" ></i>
                                                </a>
                                            @endif

                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script src="assets/vendors/datatables.net/jquery.dataTables.js"></script>
    <script src="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js"></script>
    <script src="assets/js/data-table.js"></script>
@endsection
