@extends('admin.layouts.master')

@section('content')

    @php
    $active_menu = 'users';
        $active = 'users'
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران</li>
                <li class="breadcrumb-item active" aria-current="page">ثبت نام </li>
            </ol>
        </nav>



        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">ثبت نام </h6>
                        <form action="{{ route('register.store',auth()->id()) }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="type_id" class="form-label">حوزه فعالیت </label>
                                    <select  class="form-control" name="type_id" id="type_id"  >
                                        @foreach(\App\Models\Type::all() as $type)
                                            <option value="{{ $type->id }}" >{{ $type->title }}</option>
                                        @endforeach
                                    </select>
                                    @error('type_id')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-3 col-6">
                                    <label for="expert_id" class="form-label"> تخصص </label>
                                    <select  class="form-control" name="expert_id" id="expert_id"  >
                                        @foreach(\App\Models\Expert::all() as $expert)
                                            <option value="{{ $expert->id }}" >{{ $expert->title }}</option>
                                        @endforeach
                                    </select>
                                    @error('expert_id')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="mobile" class="form-label">موبایل </label>
                                    <input type="text" class="form-control" name="mobile" id="mobile"  placeholder="موبایل را وارد کنید">
                                    @error('mobile')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-3 col-6">
                                    <label for="nationalCode" class="form-label">شماره ملی </label>
                                    <input type="text" class="form-control" name="nationalCode" id="nationalCode"  placeholder="شماره ملی را وارد کنید">
                                    @error('nationalCode')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                           <div class="row">
                               <div class="mb-3 col-6">
                                   <label for="fullName_fa" class="form-label">نام و نام خانوادگی </label>
                                   <input type="text" class="form-control" name="fullName_fa" id="fullName_fa"  placeholder="نام و نام خانوادگی را وارد کنید">
                                   @error('fullName_fa')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>
                               <div class="mb-3 col-6">
                                   <label for="fullName_en" class="form-label">نام و نام خانوادگی(لاتین) </label>
                                   <input type="text" class="form-control" name="fullName_en" id="fullName_en"  placeholder="نام و نام خانوادگی(لاتین) را وارد کنید">
                                   @error('fullName_en')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>
                           </div>



                           <div class="row">
                               <div class="mb-3 col-6">
                                   <label for="dionavi" class="form-label">عضو دیونوی </label>
                                   <input type="checkbox" class="form-check-input" name="dionavi" id="dionavi"  >
                                   @error('dionavi')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>

                               <div class="mb-3 col-6">
                                   <label for="transactionId" class="form-label">شماره فاکتور </label>
                                   <input type="text" class="form-control" name="transactionId" id="transactionId"  placeholder="شماره فاکتور را وارد کنید">
                                   @error('transactionId')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>
                           </div>

                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="customerCode" class="form-label">شماره مشتری  </label>
                                    <input type="text" class="form-control" name="customerCode" id="customerCode"  placeholder="شماره مشتری را وارد کنید">
                                    @error('customerCode')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-3 col-6">
                                    <label for="nezamCode" class="form-label">شماره نظام  </label>
                                    <input type="text" class="form-control" name="nezamCode" id="nezamCode"  placeholder="شماره نظام را وارد کنید">
                                    @error('nezamCode')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                            <br>
                            <hr>

                            <div class="row justify-content-center">
                                <h5 class="text-center bg-info p-2 m-3">اطلاعات دستیار</h5>
                            </div>



                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="assistant_mobile" class="form-label">موبایل دستیار </label>
                                    <input type="text" class="form-control" name="assistant_mobile" id="assistant_mobile"  placeholder="موبایل دستیار را وارد کنید">
                                    @error('assistant_mobile')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-3 col-6">
                                    <label for="assistant_nationalCode" class="form-label">شماره ملی دستیار</label>
                                    <input type="text" class="form-control" name="assistant_nationalCode" id="assistant_nationalCode"  placeholder="شماره ملی دستیار را وارد کنید">
                                    @error('assistant_nationalCode')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                           <div class="row">
                               <div class="mb-3 col-6">
                                   <label for="assistant_name" class="form-label">نام و نام خانوادگی دستیار</label>
                                   <input type="text" class="form-control" name="assistant_name" id="assistant_name"  placeholder="نام و نام خانوادگی دستیار را وارد کنید">
                                   @error('assistant_name')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>
                           </div>


                            <div class="text-end">
                                <button class="btn btn-primary" > ثبت</button>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>


    </div>

@endsection
