@extends('admin.layouts.master')




@section('content')

    @php
    $active_menu = 'users';
        $active = 'users'
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران</li>
                <li class="breadcrumb-item active" aria-current="page">ویرایش نام </li>
            </ol>
        </nav>



        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">ویرایش نام </h6>
                        <form action="{{ route('register.update',[$register,auth()->id()]) }}" method="post">
                            @csrf
                           <div class="row">
                               <div class="mb-3 col-6">
                                   <label for="type_id" class="form-label">حوزه فعالیت </label>
                                   <select  class="form-control" name="type_id" id="type_id"  >
                                       @foreach(\App\Models\Type::all() as $type)
                                           <option value="{{ $type->id }}" {{ $register->type_id == $type->id ? 'selected' : null }} >{{ $type->title }}</option>
                                       @endforeach
                                   </select>
                                   @error('type_id')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>
                               <div class="mb-3 col-6">
                                   <label for="expert_id" class="form-label"> تخصص </label>
                                   <select  class="form-control" name="expert_id" id="expert_id"  >
                                       @foreach(\App\Models\Expert::all() as $expert)
                                           <option value="{{ $expert->id }}" {{ $expert->id == $register->expert_id ? 'selected' : null }} >{{ $expert->title }}</option>
                                       @endforeach
                                   </select>
                                   @error('expert_id')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>
                           </div>
                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="mobile" class="form-label">موبایل </label>
                                    <input type="text" class="form-control" name="mobile" id="mobile" value="{{ $register->mobile }}"  placeholder="موبایل را وارد کنید">
                                    @error('mobile')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-3 col-6">
                                    <label for="nationalCode" class="form-label">شماره ملی </label>
                                    <input type="text" class="form-control" name="nationalCode" id="nationalCode"  value="{{ $register->nationalCode }}" placeholder="شماره ملی را وارد کنید">
                                    @error('nationalCode')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="fullName_fa" class="form-label">نام و نام خانوادگی </label>
                                    <input type="text" class="form-control" name="fullName_fa" id="fullName_fa" value="{{ $register->fullName_fa }}"  placeholder="نام و نام خانوادگی را وارد کنید">
                                    @error('fullName_fa')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-3 col-6">
                                    <label for="fullName_en" class="form-label">نام و نام خانوادگی(لاتین) </label>
                                    <input type="text" class="form-control" name="fullName_en" id="fullName_en" value="{{ $register->fullName_en }}"  placeholder="نام و نام خانوادگی(لاتین) را وارد کنید">
                                    @error('fullName_en')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>



                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="dionavi" class="form-label">عضو دیونوی </label>
                                    <input type="checkbox" class="form-check-input" name="dionavi" id="dionavi"  >
                                    @error('dionavi')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="mb-3 col-6">
                                    <label for="invoice" class="form-label">شماره فاکتور </label>
                                    <input type="text" class="form-control" name="invoice" id="invoice" value="{{ $register->invoice }}"  placeholder="شماره فاکتور را وارد کنید">
                                    @error('invoice')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="customerCode" class="form-label">شماره مشتری  </label>
                                    <input type="text" class="form-control" name="customerCode" id="customerCode" value="{{ $register->customerCode }}"  placeholder="شماره مشتری را وارد کنید">
                                    @error('customerCode')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-3 col-6">
                                    <label for="nezamCode" class="form-label">شماره نظام  </label>
                                    <input type="text" class="form-control" name="nezamCode" id="nezamCode"  value="{{ $register->nezamCode }}"  placeholder="شماره نظام را وارد کنید">
                                    @error('nezamCode')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                           <div class="row">
                               <div class="mb-3 col-6">
                                   <label for="user_id" class="form-label">کارشناس </label>
                                   <select class="form-control" name="user_id" >
                                       <option selected disabled >انتخاب کارشناس</option>
                                       @foreach(\App\Models\User::all() as $user)
                                           <option value="{{ $user->id }}" {{ $user->id == $register->user_id ? 'selected' : null }} >{{ $user->fullName }}</option>
                                       @endforeach
                                   </select>
                                   @error('user_id')
                                   <div class="alert alert-danger">{{ $message }}</div>
                                   @enderror
                               </div>

                               @if(auth()->user()->role_id == 2 )
                                   <div class="mb-3 col-6">
                                       <label for="city_id" class="form-label">شهر </label>
                                       <select class="form-control" name="city_id" >
                                           <option selected disabled >انتخاب شهر</option>
                                           @foreach(\App\Models\City::all() as $city)
                                               <option value="{{ $city->id }}" {{ $city->id == $register->city_id ? 'selected' : null }} >{{ $city->title }}</option>
                                           @endforeach
                                       </select>
                                       @error('city_id')
                                       <div class="alert alert-danger">{{ $message }}</div>
                                       @enderror
                                   </div>
                               @endif
                           </div>

                            <div class="row">
                                <div class="mb-3 col-6">
                                    <label for="status" class="form-label"> وضیعت </label>
                                    <select class="form-control" name="status" >
                                        <option value="1" {{ $register->status == 1 ? 'selected' : null }} >در حال تکمیل اطلاعات</option>
                                        <option value="2" {{ $register->status == 2 ? 'selected' : null }} >نهایی</option>
                                        <option value="3" {{ $register->status == 3 ? 'selected' : null }}  >کنسلی</option>
                                        @if(auth()->user()->role_id == 2)
                                            <option value="4" {{ $register->status == 4 ? 'selected' : null }}  >مورد تایید ادمین</option>
                                        @endif
                                    </select>
                                    @error('status')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="text-end">
                                <button class="btn btn-primary" > ویرایش</button>
                            </div>
                        </form>
                    </div>

                    @if(auth()->user()->role_id == 2 )
                        <div class="card-body">
                            <form action="{{ route('register.notif',$register) }}" method="post">
                                @csrf
                                <div class="row">
                                    <div class="mb-3 col-6">
                                        <label for="notif" class="form-label">  ارسال پیام </label>
                                        <input type="text" class="form-control" name="notif" id="notif"  value="{{ $register->notif }}">
                                        @error('status')
                                        <div class="alert alert-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <button class="btn btn-outline-danger btn-sm " >
                                    ارسال پیام
                                </button>

                            </form>
                        </div>
                    @endif

                </div>
            </div>
        </div>


    </div>

@endsection

