@extends('admin.layouts.master')

@section('style')

    <link rel="stylesheet" href="assets/vendors/select2/select2.min.css">
@endsection

@section('content')

    @php
    $active_menu = 'users';
        $active = 'users'
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران</li>
                <li class="breadcrumb-item active" aria-current="page">ثبت نام </li>
            </ol>
        </nav>



        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">ویرایش  </h6>
                        <form action="{{ route('register.update_assistant',[$register,auth()->id()]) }}" method="post">
                            @csrf

                            <div class="mb-3">
                                <label for="mobile" class="form-label">موبایل دستیار</label>
                                <input type="text" class="form-control" name="mobile" id="mobile" value="{{ $register->mobile }}"  placeholder="موبایل دستیار را وارد کنید">
                                @error('mobile')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="nationalCode" class="form-label">شماره ملی دستیار</label>
                                <input type="text" class="form-control" name="nationalCode" id="nationalCode"  value="{{ $register->nationalCode }}" placeholder="شماره ملی دستیار را وارد کنید">
                                @error('nationalCode')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="fullName_fa" class="form-label">نام و نام خانوادگی دستیار </label>
                                <input type="text" class="form-control" name="fullName_fa" id="fullName_fa" value="{{ $register->fullName_fa }}"  placeholder="نام و نام خانوادگی دستیار را وارد کنید">
                                @error('fullName_fa')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="mb-3">
                                <label for="fullName_en" class="form-label">نام و نام خانوادگی(لاتین) دستیار </label>
                                <input type="text" class="form-control" name="fullName_en" id="fullName_en" value="{{ $register->fullName_en }}"  placeholder="نام و نام خانوادگی(لاتین) دستیار را وارد کنید">
                                @error('fullName_en')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>



                            <div class="mb-3">
                                <label for="invoice" class="form-label">شماره فاکتور </label>
                                <input type="text" class="form-control" name="invoice" id="invoice" value="{{ $register->invoice }}"  placeholder="شماره فاکتور را وارد کنید">
                                @error('invoice')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="mb-3">
                                <label for="register_id" class="form-label">دکتر  </label>
                                <select class="js-example-basic-single form-select" name="register_id" id="register_id" >
                                    <option selected disabled >انتخاب دکتر</option>
                                    @foreach(\App\Models\Register::query()->whereNot('type_id','=',7)->get() as $item )
                                        <option value="{{ $item->id }}" {{ $item->id == $register->register_id ? 'selected' : null  }}  >{{ $item->fullName_fa }}</option>
                                    @endforeach
                                </select>
                                @error('register_id')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="mb-3">
                                <label for="user_id" class="form-label">کارشناس </label>
                                <select class="form-control" name="user_id" >
                                    <option selected disabled >انتخاب کارشناس</option>
                                    @foreach(\App\Models\User::all() as $user)
                                        <option value="{{ $user->id }}" {{ $user->id == $register->user_id ? 'selected' : null }} >{{ $user->fullName }}</option>
                                    @endforeach
                                </select>
                                @error('user_id')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>



                            <div class="mb-3">
                                <label for="status" class="form-label"> وضیعت </label>
                                <select class="form-control" name="status" >
                                    <option value="1" {{ $register->status == 1 ? 'selected' : null }} >در حال تکمیل اطلاعات</option>
                                    <option value="2" {{ $register->status == 2 ? 'selected' : null }} >نهایی</option>
                                    <option value="3" {{ $register->status == 3 ? 'selected' : null }}  >کنسلی</option>
                                    @if(auth()->user()->role_id == 2)
                                        <option value="4" {{ $register->status == 4 ? 'selected' : null }}  >مورد تایید ادمین</option>
                                    @endif
                                </select>
                                @error('status')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>


                            <div class="text-end">
                                <button class="btn btn-primary" > ثبت</button>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>


    </div>

@endsection
@section('script')

    <script src="assets/js/select2.js"></script>
    <script src="assets/vendors/select2/select2.min.js"></script>

@endsection
