@extends('admin.layouts.master')

@section('style')
    <link rel="stylesheet" href="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css">
@endsection

@section('content')

    @php
    $active_menu = 'users';
        $active = 'clubCodes';
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران</li>
                <li class="breadcrumb-item active" aria-current="page">عضو انجمن </li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title d-flex justify-content-between">
                            <h6 > مدیریت عضو انجمن </h6>
                            <a class=" btn btn-sm btn-success" href="{{ route('clubCodes.create') }}" >ایجاد عضو انجمن </a>
                        </div>

                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th> شماره نظام پزشکی</th>
                                    <th>ویرایش</th>
                                    <th> خذف</th>

                                </tr>
                                </thead>
                                <tbody>
                                @foreach($clubCodes as $clubCode)
                                <tr>
                                    <td>{{ $clubCode->id }}</td>
                                    <td> {{ $clubCode->dentistCode }}</td>
                                    <td>
                                        <a class="btn btn-sm btn-primary" href="{{ route('clubCodes.edit',$clubCode) }}" >
                                            <i data-feather="edit" ></i>
                                        </a>
                                    </td>
                                    <td>
                                        <form>
                                            <button class="btn btn-sm btn-danger"  >
                                                <i data-feather="trash" ></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script src="assets/vendors/datatables.net/jquery.dataTables.js"></script>
    <script src="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js"></script>
    <script src="assets/js/data-table.js"></script>
@endsection
