@extends('admin.layouts.master')

@section('content')

    @php
    $active_menu = 'presenters';
        $active = 'presenters'
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت سوالات</li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت سوالات</li>
                <li class="breadcrumb-item active" aria-current="page">ویرایش کاربر</li>
            </ol>
        </nav>



        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">ویرایش کاربر </h6>
                        <form action="{{ route('presenters.update',$presenter) }}" method="post" enctype="multipart/form-data">
                            @csrf
                            @method('patch')
                            <div class="mb-3">
                                <label for="name" class="form-label">نام و نام خانوادگی </label>
                                <input type="text" class="form-control" name="name" id="name" value="{{ $presenter->name }}"  placeholder="نام و نام خانوادگی را وارد کنید">
                                @error('name')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="label" class="form-label">توضیحات </label>
                                <input type="text" class="form-control" name="label" id="label" value="{{ $presenter->label }}"  placeholder="توضیحات را وارد کنید">
                                @error('label')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="sort" class="form-label">ترتیب نمایش </label>
                                <input type="text" class="form-control" name="sort" id="sort"  value="{{ $presenter->sort }}" placeholder="ترتیب نمایش را وارد کنید">
                                @error('sort')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="image" class="form-label">تصویر </label>
                                <input type="file" class="form-control" name="image" id="image"  >
                                @error('image')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                               <img src="{{ str_replace('public','/storage',$presenter->image) }}" style="width: 100px;height: 100px">
                            </div>

                            <div class="mb-3">
                                <label for="status" class="form-label">فعال </label>
                                <input type="checkbox" class="form-check-input" name="status" id="status" value="1" {{ $presenter->status == 1 ? 'checked' : null }}  >
                                @error('status')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="text-end">
                                <button class="btn btn-primary" > ثبت</button>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>


    </div>

@endsection
