@extends('admin.layouts.master')

@section('style')
    <link rel="stylesheet" href="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css">
@endsection

@section('content')
    @php
    $active_menu = 'presenters';
        $active = 'presenters'
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت سوالات</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title d-flex justify-content-between">
                            <h6 > مدیریت سوالات </h6>
                            <a class=" btn btn-sm btn-success" href="{{ route('presenters.create') }}" >ایجاد کاربر</a>
                        </div>

                        <div class="table-responsive">
                            <table id="dataTableExample" class="table table-responsive table-striped">
                                <thead>
                                <tr>
                                    <th>نام و نام خانوادگی</th>
                                    <th>تصویر</th>
                                    <th>ترتیب</th>
                                    <th>موضوع</th>
                                    <th>وضعیت</th>
                                    <td>عملیات</td>
                                </tr>
                                </thead>
                                <tbody>
                                    @foreach($presenters as $presenter)
                                <tr>
                                    <td>{{ $presenter->name  }}</td>
                                    <td>
                                        <img src="{{ str_replace('public','/storage',$presenter->image) }}" style="width: 50px;height: 50px" >
                                    </td>
                                    <td>{{ $presenter->status == 1 ? 'فعال' :  'غبرفعال' }}</td>
                                    <td>{{ $presenter->sort  }}</td>
                                    <td>{{ $presenter->label  }}</td>
                                    <td>
                                        <a class="btn btn-sm btn-primary " href="{{ route('presenters.edit',$presenter) }}">
                                            <i data-feather="edit" ></i>
                                        </a>
                                    </td>
                                </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script src="assets/vendors/datatables.net/jquery.dataTables.js"></script>
    <script src="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js"></script>
    <script src="assets/js/data-table.js"></script>
@endsection
