@extends('admin.layouts.master')

@section('content')

    @php
    $active_menu = 'users';
        $active = 'users'
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران</li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت کاربران</li>
                <li class="breadcrumb-item active" aria-current="page">ایجاد کاربر</li>
            </ol>
        </nav>



        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">ایجاد کاربر</h6>
                        <form action="{{ route('users.store') }}" method="post">
                            @csrf
                            <div class="mb-3">
                                <label for="mobile" class="form-label">موبایل </label>
                                <input type="text" class="form-control" name="mobile" id="mobile"  placeholder="موبایل را وارد کنید">
                                @error('mobile')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="fullName" class="form-label">نام و نام خانوادگی </label>
                                <input type="text" class="form-control" name="fullName" id="fullName"  placeholder="نام و نام خانوادگی را وارد کنید">
                                @error('fullName')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="role_id" class="form-label">نقش</label>
                                <select class="form-control" name="role_id">
                                    <option disabled selected >نقش کاربر را انتخاب کنید</option>
                                    @foreach(\App\Models\Role::all() as $role)
                                        <option value="{{ $role->id }}" >{{ $role->title }} ({{ $role->label }})</option>
                                    @endforeach
                                </select>
                                @error('fullName')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="cities" class="form-label">شهر</label>
                                <select class="form-control" name="city_id">
                                    <option disabled selected >شهر را انتخاب کنید</option>
                                    @foreach(\App\Models\City::all() as $city)
                                        <option value="{{ $city->id }}" >{{ $city->title }} ({{ $city->label }})</option>
                                    @endforeach
                                </select>
                                @error('fullName')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="text-end">
                                <button class="btn btn-primary" > ثبت</button>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>


    </div>

@endsection
