@extends('admin.layouts.master')

@section('style')
    <link rel="stylesheet" href="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css">
@endsection

@section('content')

    @php
        $active_menu = 'presenters';
            $active = 'questions';
    @endphp

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin.home',auth()->id()) }}">خانه</a></li>
                <li class="breadcrumb-item active" aria-current="page">مدیریت سوالات</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title d-flex justify-content-between">
                            <h6 > مدیریت سوالات </h6>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th> موبایل</th>
                                    <th style="width: 500px;max-width: 500px">سوال</th>
                                    <th>ارائه دهنده</th>
                                    <th> تنطیمات</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($questions as $question)
                                    <tr>
                                        <td>{{ $question->id }}</td>
                                        <td> {{ $question->mobile }}</td>
                                        <td style="width: 500px;max-width: 500px;white-space: normal">{{ $question->message }}</td>
                                        <td>
                                            {{ $question->presenter->name }}
                                        </td>
                                        <td>
                                            <a class="btn btn-sm {{ $question->status == 1 ? 'btn-primary' : 'btn-success' }}" href="{{ route('questions.accept',$question) }}" >
                                               انتشار
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script src="assets/vendors/datatables.net/jquery.dataTables.js"></script>
    <script src="assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js"></script>
    <script src="assets/js/data-table.js"></script>
@endsection
